Name:		redshift
Version:	1.11
Release:	%mkrel 2
Summary:	Adjusts the color temperature of your screen according to time of day
Group:		Graphical desktop/Other
Url:		http://jonls.dk/redshift/
License:	GPLv3+
Source0:	https://github.com/jonls/redshift/releases/download/v%{version}/redshift-%{version}.tar.xz
Patch1:		0001-Update-default-night-temperature-in-the-man-page.patch
Patch2:		0002-redshift.c-Use-6500K-and-4500K-by-default.patch
Patch3:		0003-Change-default-temperature-value.patch
Patch4:		0004-drm-Avoid-using-alloca.patch
Patch5:		0005-add-display-of-color-temperature-and-period-in-the-t.patch
Patch6:		0006-XRandR-Allow-multiple-but-not-all-CRTCs-to-be-redshi.patch
BuildRequires:	intltool
BuildRequires:	x11-server-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	python3-devel
BuildRequires:	systemd-devel
Requires:	geoclue
Requires:	%{name}-common = %{version}-%{release}

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

%package gtk
Summary:	GTK integration for Redshift
Group:		Graphical desktop/Other
Requires:	python3-gobject3
Requires:	python3-pyxdg
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description gtk
GTK integration for Redshift, a screen color temperature adjustment
program.

%package common
Summary:	Common data files for redshift
Group:		Graphical desktop/Other
BuildArch:	noarch
Conflicts:	%{name} < 1.11-2
Conflicts:	%{name}-gtk < 1.11-2

%description common
Internationalization and locale data and icons for redshift.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-geoclue2 \
	--disable-rpath \
	--with-systemduserunitdir=%{_unitdir} \
	--enable-gui
%make_build V=1

%install
%make_install

%find_lang %{name}

%files
%doc NEWS DESIGN HACKING README*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_unitdir}/%{name}.service

%files gtk
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/appdata/%{name}-gtk.appdata.xml
%{python3_sitelib}/%{name}_gtk/
%{_unitdir}/%{name}-gtk.service

%files common -f %{name}.lang
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg


%changelog
* Sun Jan 29 2017 wally <wally> 1.11-2.mga6
+ Revision: 1083936
- split out i18n and icons
- add interesting patches from upstream

* Sat Jan 16 2016 akien <akien> 1.11-1.mga6
+ Revision: 924759
- Version 1.11

* Thu Oct 08 2015 wally <wally> 1.10-2.mga6
+ Revision: 887648
- rebuild for python 3.5

* Tue Feb 03 2015 wally <wally> 1.10-1.mga5
+ Revision: 813228
- new version 1.10
- switch to geoclue2

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-4.mga5
+ Revision: 744338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 688643
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 1.9.1-2.mga5
+ Revision: 629542
- Rebuild for new Python

* Sun Apr 27 2014 wally <wally> 1.9.1-1.mga5
+ Revision: 618361
- new version 1.9.1
- drop patches from usptream

* Fri Apr 11 2014 wally <wally> 1.9-2.mga5
+ Revision: 613435
- add patch from upstream to fix crash when toggling state using the status icon
- fix redshift-gtk systemd unit file

* Wed Apr 09 2014 wally <wally> 1.9-1.mga5
+ Revision: 613097
- new version 1.9
- switch to python3
- enable geoclue and systemd support

* Sun Dec 15 2013 wally <wally> 1.8-1.mga4
+ Revision: 556966
- new version 1.8
- download sources from github
- drop unneeded symlinks as upstream renamed gtk binary

* Fri Oct 18 2013 umeabot <umeabot> 1.7-8.mga4
+ Revision: 517999
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-7.mga3
+ Revision: 380278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 wally <wally> 1.7-6.mga3
+ Revision: 262771
- add redshift-gtk symlink
- clean .spec

* Fri Dec 23 2011 wally <wally> 1.7-5.mga2
+ Revision: 186922
- gtk subpackage requires python-pyxdg

* Wed Jul 13 2011 wally <wally> 1.7-4.mga2
+ Revision: 123751
- disable geoclue support for now as it appears to be a bit broken

* Tue Jul 12 2011 wally <wally> 1.7-3.mga2
+ Revision: 123416
- require geoclue

* Tue Jul 12 2011 wally <wally> 1.7-2.mga2
+ Revision: 123275
- add patch from Fedora to change default geoclue provider

* Mon Jul 11 2011 wally <wally> 1.7-1.mga2
+ Revision: 122448
- new version 1.7
- add geoclue support

* Sun Jan 23 2011 wally <wally> 1.6-3.mga1
+ Revision: 34637
- drop buildroot definition from .spec
- imported package redshift


* Sat Oct 30 2010 Jani Välimaa <wally@mandriva.org> 1.6-2mdv2011.0
+ Revision: 590582
- rebuild for new python 2.7
- drop py_requires macro

* Mon Oct 18 2010 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2011.0
+ Revision: 586676
- new version 1.6
- fix file list

* Sat Aug 21 2010 Jani Välimaa <wally@mandriva.org> 1.5-1mdv2011.0
+ Revision: 571775
- new version 1.5
- disable rpath
- use provided .desktop file

* Tue Jul 13 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-3mdv2011.0
+ Revision: 552777
- use a fully versioned dependency in subpackage

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-2mdv2011.0
+ Revision: 550503
- split GTK stuff to a separate package

* Wed Jun 23 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 548748
- import redshift


